# MysqlndUhConnection::getServerInformation

(PECL mysqlnd-uh >= 1.0.0-alpha)

MysqlndUhConnection::getServerInformation — Returns the version of the MySQL server

### Description

public MysqlndUhConnection::getServerInformation ( mysqlnd_connection `$connection` ) : string

Returns the version of the MySQL server.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

The server version.

### Examples

Example #1 MysqlndUhConnection::getServerInformation() example

`<?php
class proxy extends MysqlndUhConnection {
public function getServerInformation($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getServerInformation($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
var_dump($mysqli->server_info);
?>`

The above example will output:

    proxy::getServerInformation(array (
      0 => NULL,
    ))
    proxy::getServerInformation returns '5.1.45-debug-log'
    string(16) "5.1.45-debug-log"

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysqli_get_server_info() - Returns the version of the MySQL server
- mysql_get_server_info() - Get MySQL server info